Bug 480677 - /etc/init/network sets result code to 0 even when the service fails
/etc/init/network sets result code to 0 even when the service fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 14:25 EST by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 22:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-01-19 14:25:27 EST
Description of problem:
When restarting the network service, and the service fails, a result code of 0 is being returned. 

Version-Release number of selected component (if applicable):
initscripts-8.86-1.i386 

How reproducible:

Steps to Reproduce:
1. Disconnect any network cables
2. Restart networking to produce the [FAILED] message
3. Check the result code with "echo $?"
  
Actual results:
The return code is 0.

Expected results:
The return code should be non-zero.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.